MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
volume_mapping.h File Reference
`#include <alsa/asoundlib.h>`
Include dependency graph for volume_mapping.h:

Go to the source code of this file.

## Functions
double | get_normalized_playback_volume (snd_mixer_elem_t *elem, snd_mixer_selem_channel_id_t channel)
double | get_normalized_capture_volume (snd_mixer_elem_t *elem, snd_mixer_selem_channel_id_t channel)
int | set_normalized_playback_volume (snd_mixer_elem_t *elem, double volume, int dir)
int | set_normalized_capture_volume (snd_mixer_elem_t *elem, double volume, int dir)

## Function Documentation

double get_normalized_capture_volume | ( | snd_mixer_elem_t * | elem,
|  | snd_mixer_selem_channel_id_t | channel
| ) |  |

double get_normalized_playback_volume | ( | snd_mixer_elem_t * | elem,
|  | snd_mixer_selem_channel_id_t | channel
| ) |  |

int set_normalized_capture_volume | ( | snd_mixer_elem_t * | elem,
|  | double | volume,
|  | int | dir
| ) |  |

int set_normalized_playback_volume | ( | snd_mixer_elem_t * | elem,
|  | double | volume,
|  | int | dir
| ) |  |